{
  "meta": {
    "stableOrder": true,
    "enableUnifiedLockfile": false
  },
  "lockfileVersion": 3,
  "ATTENTION": "THIS IS AN AUTOGENERATED FILE. DO NOT EDIT THIS FILE DIRECTLY.",
  "specifiers": {
    "@alipay/blueshieldsdk@oh_modules/.ohpm/@cashier_alipay+cashiersdk@15.8.36/oh_modules/@cashier_alipay/cashiersdk/lib/blueshieldsdk-1.0.29.har": "@alipay/blueshieldsdk@oh_modules/.ohpm/@cashier_alipay+cashiersdk@15.8.36/oh_modules/@cashier_alipay/cashiersdk/lib/blueshieldsdk-1.0.29.har",
    "@cashier_alipay/cashiersdk@^15.8.36": "@cashier_alipay/cashiersdk@15.8.36",
    "@ohos/crypto-js@^2.0.4": "@ohos/crypto-js@2.0.4",
    "@ohos/hamock@1.0.0": "@ohos/hamock@1.0.0",
    "@ohos/hypium@1.0.21": "@ohos/hypium@1.0.21",
    "@ohos/imageknifepro@^1.0.12": "@ohos/imageknifepro@1.0.12",
    "@ohos/mp4parser@^2.0.7": "@ohos/mp4parser@2.0.7",
    "@pura/harmony-utils@1.3.5": "@pura/harmony-utils@1.3.5",
    "@pura/picker_utils@^1.0.1": "@pura/picker_utils@1.0.1",
    "@rv/image-preview@^2.1.2": "@rv/image-preview@2.1.2",
    "@taobao-ohos/utdid_sdk@oh_modules/.ohpm/@cashier_alipay+cashiersdk@15.8.36/oh_modules/@cashier_alipay/cashiersdk/lib/utdid_sdk-1.2.5.har": "@taobao-ohos/utdid_sdk@oh_modules/.ohpm/@cashier_alipay+cashiersdk@15.8.36/oh_modules/@cashier_alipay/cashiersdk/lib/utdid_sdk-1.2.5.har",
    "@tencent/libpag@^4.4.31": "@tencent/libpag@4.4.31",
    "@tencent/wechat_open_sdk@^1.0.15": "@tencent/wechat_open_sdk@1.0.15",
    "@types/libmp4parser_napi.so@oh_modules/.ohpm/@ohos+mp4parser@2.0.7/oh_modules/@ohos/mp4parser/src/main/cpp/types/libmp4parser_napi": "@types/libmp4parser_napi.so@oh_modules/.ohpm/@ohos+mp4parser@2.0.7/oh_modules/@ohos/mp4parser/src/main/cpp/types/libmp4parser_napi",
    "class-transformer@^0.5.1": "class-transformer@0.5.1",
    "libblueshield.so@oh_modules/.ohpm/@alipay+blueshieldsdk@cow+0gass5tzqhymzjby2f6sd+g2xtoatqsiyvi9qsy=/oh_modules/@alipay/blueshieldsdk/src/main/cpp/types/libblueshield": "libblueshield.so@oh_modules/.ohpm/@alipay+blueshieldsdk@cow+0gass5tzqhymzjby2f6sd+g2xtoatqsiyvi9qsy=/oh_modules/@alipay/blueshieldsdk/src/main/cpp/types/libblueshield",
    "libimageknifepro.so@oh_modules/.ohpm/@ohos+imageknifepro@1.0.12/oh_modules/@ohos/imageknifepro/src/main/cpp/types/libentry": "libimageknifepro.so@oh_modules/.ohpm/@ohos+imageknifepro@1.0.12/oh_modules/@ohos/imageknifepro/src/main/cpp/types/libentry",
    "libpag.so@oh_modules/.ohpm/@tencent+libpag@4.4.31/oh_modules/@tencent/libpag/src/main/cpp/types/libpag": "libpag.so@oh_modules/.ohpm/@tencent+libpag@4.4.31/oh_modules/@tencent/libpag/src/main/cpp/types/libpag",
    "libutdid_native.so@oh_modules/.ohpm/@taobao-ohos+utdid_sdk@ecjyoomnzz6zaipo1koz9+avemnpw7+togfp5uwrtiu=/oh_modules/@taobao-ohos/utdid_sdk/src/main/cpp/types/libutdid_native": "libutdid_native.so@oh_modules/.ohpm/@taobao-ohos+utdid_sdk@ecjyoomnzz6zaipo1koz9+avemnpw7+togfp5uwrtiu=/oh_modules/@taobao-ohos/utdid_sdk/src/main/cpp/types/libutdid_native",
    "pako@^2.1.0": "pako@2.1.0",
    "reflect-metadata@^0.2.1": "reflect-metadata@0.2.1"
  },
  "packages": {
    "@alipay/blueshieldsdk@oh_modules/.ohpm/@cashier_alipay+cashiersdk@15.8.36/oh_modules/@cashier_alipay/cashiersdk/lib/blueshieldsdk-1.0.29.har": {
      "name": "@alipay/blueshieldsdk",
      "version": "1.0.29",
      "resolved": "oh_modules/.ohpm/@cashier_alipay+cashiersdk@15.8.36/oh_modules/@cashier_alipay/cashiersdk/lib/blueshieldsdk-1.0.29.har",
      "registryType": "local",
      "dependencies": {
        "libblueshield.so": "file:./src/main/cpp/types/libblueshield"
      }
    },
    "@cashier_alipay/cashiersdk@15.8.36": {
      "name": "@cashier_alipay/cashiersdk",
      "version": "15.8.36",
      "integrity": "sha512-1wB5xVU63etcqG+KnogirYLQBeb/5FJBlPt+eKK/OFlhdul/ABZbMjT1zraKrzxImsLPb4FmRFomSF3RMG6jDg==",
      "resolved": "https://repo.harmonyos.com/ohpm/@cashier_alipay/cashiersdk/-/cashiersdk-15.8.36.har",
      "registryType": "ohpm",
      "dependencies": {
        "@taobao-ohos/utdid_sdk": "file:./lib/utdid_sdk-1.2.5.har",
        "@alipay/blueshieldsdk": "file:./lib/blueshieldsdk-1.0.29.har",
        "pako": "^2.1.0"
      }
    },
    "@ohos/crypto-js@2.0.4": {
      "name": "@ohos/crypto-js",
      "version": "2.0.4",
      "integrity": "sha512-589ur6oqU1UNibqefMly2cwEeEhkSoCAA3uc+oNUwRnYYtevn/kQnO+Coi36N+VJSeeg/uFzZk1K/wUMdovpOA==",
      "resolved": "https://repo.harmonyos.com/ohpm/@ohos/crypto-js/-/crypto-js-2.0.4.har",
      "registryType": "ohpm"
    },
    "@ohos/hamock@1.0.0": {
      "name": "@ohos/hamock",
      "version": "1.0.0",
      "integrity": "sha512-K6lDPYc6VkKe6ZBNQa9aoG+ZZMiwqfcR/7yAVFSUGIuOAhPvCJAo9+t1fZnpe0dBRBPxj2bxPPbKh69VuyAtDg==",
      "resolved": "https://repo.harmonyos.com/ohpm/@ohos/hamock/-/hamock-1.0.0.har",
      "registryType": "ohpm"
    },
    "@ohos/hypium@1.0.21": {
      "name": "@ohos/hypium",
      "version": "1.0.21",
      "integrity": "sha512-iyKGMXxE+9PpCkqEwu0VykN/7hNpb+QOeIuHwkmZnxOpI+dFZt6yhPB7k89EgV1MiSK/ieV/hMjr5Z2mWwRfMQ==",
      "resolved": "https://repo.harmonyos.com/ohpm/@ohos/hypium/-/hypium-1.0.21.har",
      "registryType": "ohpm"
    },
    "@ohos/imageknifepro@1.0.12": {
      "name": "@ohos/imageknifepro",
      "version": "1.0.12",
      "integrity": "sha512-OpEbZU6Csu7cCk1Rfv+OoI4irhXR2WjLOXc+CPkJGbqcRLyZ9m8VcKP2dl6UxPJvbculdt8jbxGd2+sSvqmqPQ==",
      "resolved": "https://repo.harmonyos.com/ohpm/@ohos/imageknifepro/-/imageknifepro-1.0.12.har",
      "registryType": "ohpm",
      "dependencies": {
        "libimageknifepro.so": "file:./src/main/cpp/types/libentry"
      }
    },
    "@ohos/mp4parser@2.0.7": {
      "name": "@ohos/mp4parser",
      "version": "2.0.7",
      "integrity": "sha512-3g4dd43j0JCFZdlTeqtUxsh7yQJDmxnKdMqHZLgqnWus9OAfG7fpJx/yjtFCtp2IXPjYt5YtB9RB6UbFr3+glA==",
      "resolved": "https://repo.harmonyos.com/ohpm/@ohos/mp4parser/-/mp4parser-2.0.7.har",
      "registryType": "ohpm",
      "dependencies": {
        "@types/libmp4parser_napi.so": "file:./src/main/cpp/types/libmp4parser_napi"
      }
    },
    "@pura/harmony-utils@1.3.5": {
      "name": "@pura/harmony-utils",
      "version": "1.3.5",
      "integrity": "sha512-3Cag8gzCT40j9Y1jt6yHeIdW1iYB9kMFRebnDb361fUsf0owazlNkZqSoNA2nkxeI1jyaQC1VVX6avcIwA+RwA==",
      "resolved": "https://repo.harmonyos.com/ohpm/@pura/harmony-utils/-/harmony-utils-1.3.5.har",
      "registryType": "ohpm"
    },
    "@pura/picker_utils@1.0.1": {
      "name": "@pura/picker_utils",
      "version": "1.0.1",
      "integrity": "sha512-m9M0CFNQxhfHoEZKMP19JX8d5KD5bQR40ZUXOCHXZc5k1qp4Um08z4aoPT3GbfwfWCPVf2zlnB8F1o2I4ZC35g==",
      "resolved": "https://repo.harmonyos.com/ohpm/@pura/picker_utils/-/picker_utils-1.0.1.har",
      "registryType": "ohpm"
    },
    "@rv/image-preview@2.1.2": {
      "name": "@rv/image-preview",
      "version": "2.1.2",
      "integrity": "sha512-QP6xNRQrRImVFHiUlvgFkY7hy0gEv2PGHe/ODJ9m1CCI3yBGh4RqmcoFcr8aqqaGohgwdJ6lu90VVM+QNdWb+A==",
      "resolved": "https://repo.harmonyos.com/ohpm/@rv/image-preview/-/image-preview-2.1.2.har",
      "registryType": "ohpm"
    },
    "@taobao-ohos/utdid_sdk@oh_modules/.ohpm/@cashier_alipay+cashiersdk@15.8.36/oh_modules/@cashier_alipay/cashiersdk/lib/utdid_sdk-1.2.5.har": {
      "name": "@taobao-ohos/utdid_sdk",
      "version": "1.2.5",
      "resolved": "oh_modules/.ohpm/@cashier_alipay+cashiersdk@15.8.36/oh_modules/@cashier_alipay/cashiersdk/lib/utdid_sdk-1.2.5.har",
      "registryType": "local",
      "dependencies": {
        "libutdid_native.so": "file:./src/main/cpp/types/libutdid_native",
        "@ohos/crypto-js": "^2.0.4"
      }
    },
    "@tencent/libpag@4.4.31": {
      "name": "@tencent/libpag",
      "version": "4.4.31",
      "integrity": "sha512-VhEMtoJx49KIx7pI3BMFWYE6Wlaescx9nO5EROcl92E8h4yLqsg08nU6dbN70gd8leDriA+gud6mt+SuDlAxNA==",
      "resolved": "https://repo.harmonyos.com/ohpm/@tencent/libpag/-/libpag-4.4.31.har",
      "registryType": "ohpm",
      "dependencies": {
        "libpag.so": "file:./src/main/cpp/types/libpag"
      }
    },
    "@tencent/wechat_open_sdk@1.0.15": {
      "name": "@tencent/wechat_open_sdk",
      "version": "1.0.15",
      "integrity": "sha512-O9W8Gj16YBu0fl3d78r4eQQdnljczJPcIDws9i+ErVg94y8twHBkLWdyysiWfhGA7+ltB3mu8EZsk/EAr8LZSw==",
      "resolved": "https://repo.harmonyos.com/ohpm/@tencent/wechat_open_sdk/-/wechat_open_sdk-1.0.15.har",
      "registryType": "ohpm"
    },
    "@types/libmp4parser_napi.so@oh_modules/.ohpm/@ohos+mp4parser@2.0.7/oh_modules/@ohos/mp4parser/src/main/cpp/types/libmp4parser_napi": {
      "name": "libmp4parser_napi.so",
      "version": "0.0.0",
      "resolved": "oh_modules/.ohpm/@ohos+mp4parser@2.0.7/oh_modules/@ohos/mp4parser/src/main/cpp/types/libmp4parser_napi",
      "registryType": "local"
    },
    "class-transformer@0.5.1": {
      "name": "class-transformer",
      "version": "0.5.1",
      "integrity": "sha512-SQa1Ws6hUbfC98vKGxZH3KFY0Y1lm5Zm0SY8XX9zbK7FJCyVEac3ATW0RIpwzW+oOfmHE5PMPufDG9hCfoEOMw==",
      "resolved": "https://repo.harmonyos.com/ohpm/class-transformer/-/class-transformer-0.5.1.tgz",
      "shasum": "24147d5dffd2a6cea930a3250a677addf96ab336",
      "registryType": "ohpm"
    },
    "libblueshield.so@oh_modules/.ohpm/@alipay+blueshieldsdk@cow+0gass5tzqhymzjby2f6sd+g2xtoatqsiyvi9qsy=/oh_modules/@alipay/blueshieldsdk/src/main/cpp/types/libblueshield": {
      "name": "libblueshield.so",
      "version": "1.0.8",
      "resolved": "oh_modules/.ohpm/@alipay+blueshieldsdk@cow+0gass5tzqhymzjby2f6sd+g2xtoatqsiyvi9qsy=/oh_modules/@alipay/blueshieldsdk/src/main/cpp/types/libblueshield",
      "registryType": "local"
    },
    "libimageknifepro.so@oh_modules/.ohpm/@ohos+imageknifepro@1.0.12/oh_modules/@ohos/imageknifepro/src/main/cpp/types/libentry": {
      "name": "libimageknifepro.so",
      "version": "1.0.0",
      "resolved": "oh_modules/.ohpm/@ohos+imageknifepro@1.0.12/oh_modules/@ohos/imageknifepro/src/main/cpp/types/libentry",
      "registryType": "local"
    },
    "libpag.so@oh_modules/.ohpm/@tencent+libpag@4.4.31/oh_modules/@tencent/libpag/src/main/cpp/types/libpag": {
      "name": "libpag.so",
      "version": "1.0.0",
      "resolved": "oh_modules/.ohpm/@tencent+libpag@4.4.31/oh_modules/@tencent/libpag/src/main/cpp/types/libpag",
      "registryType": "local"
    },
    "libutdid_native.so@oh_modules/.ohpm/@taobao-ohos+utdid_sdk@ecjyoomnzz6zaipo1koz9+avemnpw7+togfp5uwrtiu=/oh_modules/@taobao-ohos/utdid_sdk/src/main/cpp/types/libutdid_native": {
      "name": "libutdid_native.so",
      "version": "0.0.1",
      "resolved": "oh_modules/.ohpm/@taobao-ohos+utdid_sdk@ecjyoomnzz6zaipo1koz9+avemnpw7+togfp5uwrtiu=/oh_modules/@taobao-ohos/utdid_sdk/src/main/cpp/types/libutdid_native",
      "registryType": "local"
    },
    "pako@2.1.0": {
      "name": "pako",
      "version": "2.1.0",
      "integrity": "sha512-w+eufiZ1WuJYgPXbV/PO3NCMEc3xqylkKHzp8bxp1uW4qaSNQUkwmLLEc3kKsfz8lpV1F8Ht3U1Cm+9Srog2ug==",
      "resolved": "https://repo.harmonyos.com/ohpm/pako/-/pako-2.1.0.tgz",
      "shasum": "266cc37f98c7d883545d11335c00fbd4062c9a86",
      "registryType": "ohpm"
    },
    "reflect-metadata@0.2.1": {
      "name": "reflect-metadata",
      "version": "0.2.1",
      "integrity": "sha512-i5lLI6iw9AU3Uu4szRNPPEkomnkjRTaVt9hy/bn5g/oSzekBSMeLZblcjP74AW0vBabqERLLIrz+gR8QYR54Tw==",
      "resolved": "https://repo.harmonyos.com/ohpm/reflect-metadata/-/reflect-metadata-0.2.1.tgz",
      "shasum": "8d5513c0f5ef2b4b9c3865287f3c0940c1f67f74",
      "registryType": "ohpm"
    }
  }
}